NotificationService will notify using Desktop Notifications https://developer.mozilla.org/en-US/docs/Web/API/notification Can change icons by setting iconPath in the AppConfig if needed

### Hierarchy

- NotificationService

## Index

### Constructors

- constructor

### Properties

- config
- iconPath

### Methods

- displayErrorMessage
- displayInfoMessage
- displayMessage
- displaySuccessMessage

## Constructors

### constructor

- new NotificationService(config: AppConfig): NotificationService

- - Defined in core/util/notification.service.ts:19

  #### Parameters

  - ##### config: AppConfig

  #### Returns NotificationService

## Properties

### Private config

config: AppConfig

- Defined in core/util/notification.service.ts:23

### iconPath

iconPath: string

- Defined in core/util/notification.service.ts:19

## Methods

### displayErrorMessage

- displayErrorMessage(body: string): void

- - Defined in core/util/notification.service.ts:29

  #### Parameters

  - ##### body: string

  #### Returns void

### displayInfoMessage

- displayInfoMessage(body: string): void

- - Defined in core/util/notification.service.ts:37

  #### Parameters

  - ##### body: string

  #### Returns void

### displayMessage

- displayMessage(title: string, body: string, type: string): void

- - Defined in core/util/notification.service.ts:41

  #### Parameters

  - ##### title: string

  - ##### body: string

  - ##### type: string

  #### Returns void

### displaySuccessMessage

- displaySuccessMessage(body: string): void

- - Defined in core/util/notification.service.ts:33

  #### Parameters

  - ##### body: string

  #### Returns void

Generated using TypeDoc